Skip to navigation

List folders

List folders

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

nextTokenstringOptional
pageSizeintegerOptional0-100Defaults to 50
sortenumOptionalDefaults to name

Method by which to order search results. Valid sorts are modifiedAt (modified time, most recent first) and name (folder name, alphabetical). Optionally add :asc or :desc to specify ascending or descending order.

archiveReasonstringOptional

Archive reason. Restricts items to those with the specified archive reason. Use “NOT_ARCHIVED” to filter for unarchived folders. Use “ANY_ARCHIVED” to filter for archived folders regardless of reason. Use “ANY_ARCHIVED_OR_NOT_ARCHIVED” to return items for both archived and unarchived.

nameIncludesstringOptional
Name substring of a folder. Restricts results to those with names that include the provided substring.
parentFolderIdstringOptional

ID of a folder. Restricts results to those in the folder. Use “NO_PARENT” to filter for root folders.

projectIdstringOptional
ID of a project. Restricts results to those in the project.
idsstringOptional

Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

namestringOptional
Name of a folder. Restricts results to those with the specified name.
sectionenumOptionalDeprecated

Deprecated - Folder types have been merged, however this will restrict to the pre-merge types.

Allowed values:

Response

OK
folderslist of objectsOptional
nextTokenstringOptional